MyGUI: MyGUI::ISubWidget Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes
MyGUI::ISubWidget Class Referenceabstract

`#include <MyGUI_ISubWidget.h>`

Inheritance diagram for MyGUI::ISubWidget:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISubWidget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ISubWidget ()
virtual | ~ISubWidget ()
virtual void | createDrawItem (ITexture *_texture, ILayerNode *_node)=0
virtual void | destroyDrawItem ()=0
virtual void | setAlpha (float _alpha)
virtual void | setStateData (IStateInfo *_data)
virtual void | doRender ()=0
virtual void | setAlign (Align _value)
virtual void | setVisible (bool _value)
virtual void | _updateView ()
virtual void | _correctView ()
virtual void | _setAlign (const IntSize &_oldsize)
virtual void | doManualRender (IVertexBuffer *_buffer, ITexture *_texture, size_t _count)
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
virtual void | setPosition (const IntPoint &_value)
virtual void | setSize (const IntSize &_value)
virtual void | setCoord (const IntCoord &_value)
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Attributes
Align | mAlign
bool | mVisible
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const

## Detailed Description

Definition at line 24 of file MyGUI_ISubWidget.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ISubWidget::Base

Definition at line 28 of file MyGUI_ISubWidget.h.

## ◆ RTTIBase

typedef ISubWidget MyGUI::ISubWidget::RTTIBase

Definition at line 28 of file MyGUI_ISubWidget.h.

## Constructor & Destructor Documentation

## ◆ ISubWidget()

MyGUI::ISubWidget::ISubWidget | ( |  | ) |
| inline

Definition at line 31 of file MyGUI_ISubWidget.h.

## ◆ ~ISubWidget()

virtual MyGUI::ISubWidget::~ISubWidget | ( |  | ) |
| inlinevirtual

Definition at line 32 of file MyGUI_ISubWidget.h.

## Member Function Documentation

## ◆ _correctView()

virtual void MyGUI::ISubWidget::_correctView | ( |  | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 53 of file MyGUI_ISubWidget.h.

## ◆ _setAlign()

virtual void MyGUI::ISubWidget::_setAlign | ( | const IntSize & | _oldsize | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, MyGUI::TileRect, and MyGUI::MainSkin.

Definition at line 55 of file MyGUI_ISubWidget.h.

## ◆ _updateView()

virtual void MyGUI::ISubWidget::_updateView | ( |  | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 52 of file MyGUI_ISubWidget.h.

## ◆ createDrawItem()

virtual void MyGUI::ISubWidget::createDrawItem | ( | ITexture * | _texture,
|  | ILayerNode * | _node
| ) |  |
| pure virtual

Implemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

## ◆ destroyDrawItem()

virtual void MyGUI::ISubWidget::destroyDrawItem | ( |  | ) |
| pure virtual

Implemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

## ◆ doManualRender()

virtual void MyGUI::ISubWidget::doManualRender | ( | IVertexBuffer * | _buffer,
|  | ITexture * | _texture,
|  | size_t | _count
| ) |  |
| inlinevirtual

Definition at line 57 of file MyGUI_ISubWidget.h.

## ◆ doRender()

virtual void MyGUI::ISubWidget::doRender | ( |  | ) |
| pure virtual

Implemented in MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, MyGUI::EditText, MyGUI::TileRect, and MyGUI::SimpleText.

## ◆ getClassTypeName()

static const std::string& MyGUI::ISubWidget::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 28 of file MyGUI_ISubWidget.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ISubWidget::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditText, MyGUI::SubSkin, MyGUI::TileRect, MyGUI::SimpleText, MyGUI::ISubWidgetText, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::ISubWidgetRect, and MyGUI::MainSkin.

Definition at line 28 of file MyGUI_ISubWidget.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ISubWidget::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 28 of file MyGUI_ISubWidget.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISubWidget::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditText, MyGUI::SubSkin, MyGUI::TileRect, MyGUI::SimpleText, MyGUI::ISubWidgetText, MyGUI::PolygonalSkin, MyGUI::RotatingSkin, MyGUI::ISubWidgetRect, and MyGUI::MainSkin.

Definition at line 28 of file MyGUI_ISubWidget.h.

## ◆ setAlign()

virtual void MyGUI::ISubWidget::setAlign | ( | Align | _value | ) |
| inlinevirtual

Definition at line 43 of file MyGUI_ISubWidget.h.

## ◆ setAlpha()

virtual void MyGUI::ISubWidget::setAlpha | ( | float | _alpha | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, and MyGUI::TileRect.

Definition at line 37 of file MyGUI_ISubWidget.h.

## ◆ setStateData()

virtual void MyGUI::ISubWidget::setStateData | ( | IStateInfo * | _data | ) |
| inlinevirtual

Reimplemented in MyGUI::EditText, MyGUI::RotatingSkin, MyGUI::TileRect, MyGUI::PolygonalSkin, and MyGUI::SubSkin.

Definition at line 39 of file MyGUI_ISubWidget.h.

## ◆ setVisible()

virtual void MyGUI::ISubWidget::setVisible | ( | bool | _value | ) |
| inlinevirtual

Reimplemented in MyGUI::RotatingSkin, MyGUI::PolygonalSkin, MyGUI::SubSkin, MyGUI::TileRect, and MyGUI::EditText.

Definition at line 47 of file MyGUI_ISubWidget.h.

## Field Documentation

## ◆ mAlign

Align MyGUI::ISubWidget::mAlign
| protected

Definition at line 60 of file MyGUI_ISubWidget.h.

## ◆ mVisible

bool MyGUI::ISubWidget::mVisible
| protected

Definition at line 61 of file MyGUI_ISubWidget.h.

The documentation for this class was generated from the following file:

- MyGUI_ISubWidget.h